Get Active Sessions - Get Active Sessions

Returns the list of currently active sessions on the Bastion.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/bastionHosts/{bastionHostName}/getActiveSessions?api-version=2025-05-01

URI Parameters

Name In Required Type Description
bastionHostName
path True

string

The name of the Bastion Host.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

BastionActiveSessionListResult

Azure operation completed successfully.

202 Accepted

Resource operation accepted.

Headers

  • Location: string
  • Retry-After: integer
Other Status Codes

CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Returns a list of currently active sessions on the Bastion

Sample request

POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/bastionHosts/bastionhosttenant/getActiveSessions?api-version=2025-05-01

Sample response

{
  "value": [
    {
      "resourceType": "VM",
      "sessionDurationInMins": 0,
      "sessionId": "sessionId",
      "startTime": "2019-1-1T12:00:00.0000Z",
      "targetHostName": "vm01",
      "targetIpAddress": "1.1.1.1",
      "targetResourceGroup": "rg1",
      "targetResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Compute/virtualMachines/vm01",
      "targetSubscriptionId": "00000000-0000-0000-0000-000000000000",
      "userName": "user",
      "protocol": "SSH"
    }
  ]
}
location: https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/bastionHosts/{bastionHostName}/getActiveSessions/operationResults/{operationId}?api-version={api-version}

Definitions

Name Description
BastionActiveSession

The session detail for a target.

BastionActiveSessionListResult

Response for GetActiveSessions.

BastionConnectProtocol

The protocol used to connect to the target.

CloudError

An error response from the service.

CloudErrorBody

An error response from the service.

BastionActiveSession

The session detail for a target.

Name Type Description
protocol

BastionConnectProtocol

The protocol used to connect to the target.

resourceType

string

The type of the resource.

sessionDurationInMins

number (float)

Duration in mins the session has been active.

sessionId

string

A unique id for the session.

startTime

management.azure.com.virtualnetwork.getactivesessions.getactivesessions

The time when the session started.

targetHostName

string

The host name of the target.

targetIpAddress

string

The IP Address of the target.

targetResourceGroup

string

The resource group of the target.

targetResourceId

string

The resource id of the target.

targetSubscriptionId

string

The subscription id for the target virtual machine.

userName

string

The user name who is active on this session.

BastionActiveSessionListResult

Response for GetActiveSessions.

Name Type Description
nextLink

string (uri)

The link to the next page of items

value

BastionActiveSession[]

The BastionActiveSession items on this page

BastionConnectProtocol

The protocol used to connect to the target.

Value Description
SSH

SSH

RDP

RDP

CloudError

An error response from the service.

Name Type Description
error

CloudErrorBody

Cloud error body.

CloudErrorBody

An error response from the service.

Name Type Description
code

string

An identifier for the error. Codes are invariant and are intended to be consumed programmatically.

details

CloudErrorBody[]

A list of additional details about the error.

message

string

A message describing the error, intended to be suitable for display in a user interface.

target

string

The target of the particular error. For example, the name of the property in error.